2019-12-09 18:42 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001751FSSCPPilot datapublic2013-04-05 22:52
ReporterWMCoolmon 
Assigned ToZacam 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.7.0 
Summary0001751: Corrupt campaign file causes access violation
DescriptionI suspect I know what caused this, too. At the beginning of Blue Planet, there's a string of red alert missions. I was at 4% hull integrity after the second or third of the bunch, and continued for two more missions. At that point, I needed the extra hull integrity, so I hit "replay" on the death screen - then I hit replay on the Red Alert briefing that came up. That brought me back to the same red alert briefing. IIRC, I then played through that mission and came to the mission I originally started to hit "replay" on. I switched to "Very Easy" and got an access violation, and now get an access violation every time I select the pilot from the main select screen.

So:
1) Played through 0000007:0000004 Red Alert missions in a row.
2) Hit replay on death screen, got RA briefing from mission 3
3) Hit replay on mission 3 briefing, got mission 3 briefing again
4) Played through mission 3 and 4
5) Died on mission 4, attempted to change difficulty from main menu
6) Started mission 4 and Freespace crashed with an access violation

I've attached the pl2 and BP cs2 file in a zip (myStable).
Additional InformationI've traced the crash to the functions below using the MSVC debugger. Even though the error appears there, the first invalid value in the savefile is at least the mainhall, which is at 7. (The number of campaign missions in the savefile is also at 7) Red_alert_num_slots_used is at 16777216. The EXE crashes when it attempts to index ras_tmp at value 1634682624 in the ships array in red_alert_read_wingman_status_campaign()

Stack dump from MSVC:
     fs2_open_3_6_10_d.exe!__ascii_stricmp(void * dst=0x2dfbbe68, void * src=0x01654608) Line 81 Asm
     fs2_open_3_6_10_d.exe!_stricmp(const char * dst=0x2dfbbe68, const char * src=0x01654608) Line 57 + 0xd C
     fs2_open_3_6_10_d.exe!ship_info_lookup_sub(char * token=0x2dfbbe68) Line 11912 + 0x18 C++
     fs2_open_3_6_10_d.exe!ship_info_lookup(char * token=0x2dfbbe68) Line 11943 + 0x9 C++
     fs2_open_3_6_10_d.exe!red_alert_read_wingman_status_campaign(CFILE * fp=0x01d92358, char [32]* ships=0x0012de68, char [32]* weapons=0x0012c560) Line 1144 + 0xf C++
> fs2_open_3_6_10_d.exe!mission_campaign_savefile_load(char * cfilename=0x01183b78, player * pl=0x011d05f0) Line 1747 + 0x1a C++
     fs2_open_3_6_10_d.exe!mission_campaign_load(char * filename=0x01d922d0, player * pl=0x011d05f0, int load_savefile=1) Line 1058 + 0xe C++
     fs2_open_3_6_10_d.exe!mission_load_up_campaign(player * pl=0x011d05f0) Line 2849 + 0x15 C++
     fs2_open_3_6_10_d.exe!player_select_close() Line 877 + 0x7 C++
     fs2_open_3_6_10_d.exe!game_leave_state(int old_state=37, int new_state=1) Line 7954 C++
     fs2_open_3_6_10_d.exe!gameseq_set_state(int new_state=1, int override=0) Line 540 + 0x19 C++
     fs2_open_3_6_10_d.exe!game_process_event(int current_state=37, int event=0) Line 7181 + 0x9 C++
     fs2_open_3_6_10_d.exe!gameseq_process_events() Line 660 + 0x19 C++
     fs2_open_3_6_10_d.exe!game_main(char * cmdline=0x00133474) Line 9146 + 0x5 C++
     fs2_open_3_6_10_d.exe!WinMain(HINSTANCE__ * hInst=0x00400000, HINSTANCE__ * hPrev=0x00000000, char * szCmdLine=0x00133474, int nCmdShow=1) Line 9220 + 0x9 C++
     fs2_open_3_6_10_d.exe!WinMainCRTStartup() Line 251 + 0x30 C
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0012554

Zacam (administrator)

To be Tested against the Antipodes 8 code.

~0014810

MjnMixael (manager)

Tried to reproduce this according to the steps and could not reproduce the crash on 9593.

~0014904

niffiwan (developer)

I was unable to reproduce this either with a BP build (includes new pilot code). Assuming that this has already been resolved, and closing.
+Notes

-Issue History
Date Modified Username Field Change
2008-08-17 02:30 WMCoolmon New Issue
2008-08-17 02:30 WMCoolmon File Added: myStable.zip
2008-08-17 02:32 WMCoolmon Status new => assigned
2008-08-17 02:32 WMCoolmon Assigned To => taylor
2008-12-16 19:47 taylor Assigned To taylor =>
2008-12-16 19:47 taylor Status assigned => new
2010-12-07 13:10 The_E Category user interface => Pilot data
2010-12-13 23:26 Zacam Note Added: 0012554
2010-12-13 23:26 Zacam Assigned To => Zacam
2010-12-13 23:26 Zacam Status new => feedback
2013-03-22 20:22 MjnMixael Note Added: 0014810
2013-04-05 22:52 niffiwan Note Added: 0014904
2013-04-05 22:52 niffiwan Status feedback => resolved
2013-04-05 22:52 niffiwan Fixed in Version => 3.7.0
2013-04-05 22:52 niffiwan Resolution open => fixed
+Issue History